Loading...
Searching...
No Matches
lwiperf.c File Reference
`#include "lwip/apps/lwiperf.h"`
`#include "lwip/tcp.h"`
`#include "lwip/sys.h"`
`#include "lwip/inet.h"`
`#include <string.h>`

## Data Structures

struct | _lwiperf_settings
struct | _lwiperf_state_tcp

## Macros

#define | LWIPERF_TCP_MAX_IDLE_SEC 10U
#define | LWIPERF_SERVER_IP_TYPE IPADDR_TYPE_ANY
#define | LWIPERF_CHECK_RX_DATA 0

## Typedefs

typedef struct _lwiperf_settings | lwiperf_settings_t
typedef struct _lwiperf_state_tcp | lwiperf_state_tcp_t

## Functions

void * | lwiperf_start_tcp_server_default (lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_server (const ip_addr_t *local_addr, u16_t local_port, lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_client_default (const ip_addr_t *remote_addr, lwiperf_report_fn report_fn, void *report_arg)
void * | lwiperf_start_tcp_client (const ip_addr_t *remote_addr, u16_t remote_port, enum lwiperf_client_type type, lwiperf_report_fn report_fn, void *report_arg)
void | lwiperf_abort (void *lwiperf_session)

## Detailed Description

lwIP iPerf server implementation

## Macro Definition Documentation

## LWIPERF_CHECK_RX_DATA

#define LWIPERF_CHECK_RX_DATA 0

If this is 1, check that received data has the correct format

## LWIPERF_SERVER_IP_TYPE

#define LWIPERF_SERVER_IP_TYPE IPADDR_TYPE_ANY

Change this if you don't want to lwiperf to listen to any IP version

## LWIPERF_TCP_MAX_IDLE_SEC

#define LWIPERF_TCP_MAX_IDLE_SEC 10U

Specify the idle timeout (in seconds) after that the test fails

## Typedef Documentation

## lwiperf_settings_t

typedef struct _lwiperf_settings lwiperf_settings_t

This is the Iperf settings struct sent from the client

## lwiperf_state_tcp_t

typedef struct _lwiperf_state_tcp lwiperf_state_tcp_t

Connection handle for a TCP iperf session